Subject: Re: bug#48841: fido-mode is slower than ido-mode with similar settings

From: Stefan Monnier <[email-masked]>
Date: Sat, 05 Jun 2021 22:34:53 -0400

> Stefan knows best here.  Regardless of its use, it seems to require
> another try-completion call in all the filtered candidates (which might
> be very big) so that's probably where the extra lag comes from.

IIRC the `try-completion` call is performed on the list of possible
completions rather than on the original completion table, so it should
be quite fast.  I'd be surprised if it is a significant portion of the
overall time.

        Stefan